Skip to main content
`Ctrl`+`K`

# PetscFindMPIInt

Finds `PetscMPIInt` in a sorted array of `PetscMPIInt`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFindMPIInt(PetscMPIInt key, PetscCount n, const PetscMPIInt X[], PetscInt *loc)

Not Collective

## Input Parameters

- key - the integer to locate

- n - number of values in the array

- X - array of `PetscMPIInt`

## Output Parameter

- loc - the location if found, otherwise -(slot+1) where slot is the place the value would go

## See Also

`PetscMPIIntSortSemiOrdered()`, `PetscSortInt()`, `PetscSortIntWithArray()`, `PetscSortRemoveDupsInt()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages